<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if(!class_exists('AddToPost_Management')) :

class AddToPost_Management{
	 
	private $fun;
	protected static $_instance = null;


	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	// Evita que el objeto se pueda clonar
    public function __clone()
    {
        trigger_error('La clonación de este objeto no está permitida', E_USER_ERROR);
	}
	
	    
	private function __construct() {
		$this->fun = AddToPost_Funciones::instance();
	}
	
	
	public function addToPost()
	{
		$options = get_option('options_rev_add_to_post');
		if(!is_array($options)) {
			$options = array();
		}

		$options['extra_content_top'] = isset($options['extra_content_top']) ? $options['extra_content_top'] : '';
		$options['extra_content_bottom'] = isset($options['extra_content_bottom']) ? $options['extra_content_bottom'] : '';

		if (isset($_POST['btnSubmitOptions']) && $_POST['btnSubmitOptions']) {
				
			$options['extra_content_top'] = isset($_POST['extra_content_top']) && !empty($_POST['extra_content_top']) ? stripslashes($_POST['extra_content_top']) : '';
			$options['extra_content_bottom'] = isset($_POST['extra_content_bottom']) && !empty($_POST['extra_content_bottom']) ? stripslashes($_POST['extra_content_bottom']) : '';
			
			update_option('options_rev_add_to_post', $options);
			
		}
		
		include ('vistas/admin/form_add_to_post.php');

	}
	
}

endif;

 
?>
